<?xml version="1.0" encoding="utf-8"?>
<androidx.appcompat.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="5dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <Button
                    android:id="@+id/btnGetCurInfo"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="onClick"
                    android:text="实时信息" />

                <Button
                    android:id="@+id/btnSyncTime"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="onClick"
                    android:text="同步时间" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <Button
                    android:id="@+id/btnGetCO2Density"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="onClick"
                    android:text="CO2报警浓度" />

                <Button
                    android:id="@+id/btnGetCODensity"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="onClick"
                    android:text="CO报警浓度" />

                <Button
                    android:id="@+id/btnGetO2Density"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="onClick"
                    android:text="O2报警浓度" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <Button
                    android:id="@+id/btnGetCO2Interval"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="onClick"
                    android:text="CO2间隔" />

                <Button
                    android:id="@+id/btnGetCOInterval"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="onClick"
                    android:text="CO间隔" />

                <Button
                    android:id="@+id/btnGetHistoryInterval"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="onClick"
                    android:text="历史记录间隔" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <Button
                    android:id="@+id/btnGetCO2Switch"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="onClick"
                    android:text="CO2开关" />

                <Button
                    android:id="@+id/btnGetCOSwitch"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="onClick"
                    android:text="CO开关" />

                <Button
                    android:id="@+id/btnGetSoundSwitch"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="onClick"
                    android:text="声音开关" />

                <Button
                    android:id="@+id/btnGetShakeSwitch"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="onClick"
                    android:text="震动开关" />
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <Button
                    android:id="@+id/btnGetTempUnit"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="onClick"
                    android:text="温度单位" />

                <Button
                    android:id="@+id/btnGetPressureUnit"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="onClick"
                    android:text="气压单位" />

                <Button
                    android:id="@+id/btnGetScreenOffTime"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="onClick"
                    android:text="息屏时间" />

                <Button
                    android:id="@+id/btnGetShutdownTime"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="onClick"
                    android:text="关机时间" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <Button
                    android:id="@+id/btnGetHistory"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="onClick"
                    android:text="历史记录" />

                <Button
                    android:id="@+id/btnClearHistory"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="onClick"
                    android:text="清空历史记录" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <EditText
                    android:id="@+id/etDensity"
                    android:layout_width="160dp"
                    android:layout_height="wrap_content"
                    android:digits="0123456789"
                    android:hint="报警浓度(单位ppm)"
                    android:inputType="number"
                    android:textSize="14dp" />

                <Button
                    android:id="@+id/btnSetCo2Density"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="onClick"
                    android:text="设置Co2浓度" />

                <Button
                    android:id="@+id/btnSetO2Density"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="onClick"
                    android:text="设置O2浓度" />


            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <EditText
                    android:id="@+id/etInterval"
                    android:layout_width="160dp"
                    android:layout_height="wrap_content"
                    android:digits="0123456789"
                    android:hint="间隔(min)0代表一直"
                    android:inputType="number"
                    android:textSize="14dp" />

                <Button
                    android:id="@+id/btnSetCo2Interval"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="onClick"
                    android:text="设置CO2间隔" />

                <Button
                    android:id="@+id/btnSetCoInterval"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="onClick"
                    android:text="设置CO间隔" />


            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <EditText
                    android:id="@+id/etHpa"
                    android:layout_width="120dp"
                    android:layout_height="wrap_content"
                    android:digits="0123456789"
                    android:hint="气压(hPa,0-9999)"
                    android:inputType="number"
                    android:textSize="14dp" />

                <EditText
                    android:id="@+id/etInHg"
                    android:layout_width="120dp"
                    android:layout_height="wrap_content"
                    android:digits="0123456789"
                    android:hint="气压(hPa,0-9999)"
                    android:inputType="number"
                    android:textSize="14dp" />

                <Button
                    android:id="@+id/btnSetPressureCali"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:onClick="onClick"
                    android:text="气压校准" />


            </LinearLayout>

        </LinearLayout>
    </ScrollView>


    <ListView
        android:id="@+id/list_view"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        />

</androidx.appcompat.widget.LinearLayoutCompat>